/*
 * diot_util_i2c - i2c addresses on DIOT system board
 * 
 * Author: Adam Wujek for CERN
 * Copyright CERN 2021
 * 
 */

#ifndef __DIOT_UTIL_I2C_H
#define __DIOT_UTIL_I2C_H

#if SB_VER == 1
#define MAX6639_I2C	"9"
#define LM75_I2C	"6"
#define IRPS5401_I2C	"5"
#define PSU_I2C		"3"
#define SI5341_I2C	"7"
#define PB_EEPROM_I2C	"4"
#elif SB_VER == 2
#define MAX6639_I2C	"8"
#define LM75_I2C	"5"
#define IRPS5401_I2C	"4"
#define PSU_I2C		"9"
#define SI5341_I2C	"6"
#define PB_EEPROM_I2C	"3"
#else
#error SB_VER not defined
#endif

#define FANTRAY_I2C		PSU_I2C
#define FANTRAY_I2C_ADDR	"12"

#define FMC_EEPROM_I2C		"0"
#define FMC_EEPROM_I2C_ADDR	"50"

#define PSU1_I2C_ADDR		"18"
#define PSU2_I2C_ADDR		"19"

#define IRPS5401_1_I2C_ADDR	"44"
#define IRPS5401_2_I2C_ADDR	"45"

#define LM75_1_I2C_ADDR		"49"
#define LM75_2_I2C_ADDR		"48"
#define LM75_3_I2C_ADDR		"4a"

#define MAX6639_I2C_ADDR	"2c"

#define SI5341_I2C_ADDR		"76"

#define PB_EEPROM_I2C_ADDR	"50"

#endif /* __DIOT_UTIL_I2C_H */
